#!/bin/bash


cat gencode.gtf |
grep -P '\tgene\t' |
grep 'protein_coding' |
grep -v 'level 3' |
awk -F '[\t|\"]' '{ print $1"\t"$4"\t"$5"\t"$10"\t0\t"$7 }' |
awk -F '\t' 'BEGIN{ OFS="\t" } { if ($6=="+") { $3=$2-1; $2=$2-2 } else { $2=$3; $3=$3+1 } print }' |
sort -k1,1 -k2,2n > gencode.tss
